## GladeInspector

GladeInspector — A widget for inspecting objects in a GladeProject.

## Synopsis

    struct              GladeInspector;
    GtkWidget *         glade_inspector_new                 (void);
    GtkWidget *         glade_inspector_new_with_project    (GladeProject *project);
    void                glade_inspector_set_project         (GladeInspector *inspector,
                                                             GladeProject *project);
    GladeProject *      glade_inspector_get_project         (GladeInspector *inspector);
    GList *             glade_inspector_get_selected_items  (GladeInspector *inspector);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----GladeInspector

## Implemented Interfaces

GladeInspector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "project"                  GladeProject*         : Read / Write

## Signals

      "item-activated"                                 : Run Last
      "selection-changed"                              : Run Last

## Description

A GladeInspector is a widget for inspecting the objects that make up a user interface.

An inspector is created by calling either `glade_inspector_new()` or `glade_inspector_new_with_project()`. The current project been inspected can be changed by calling `glade_inspector_set_project()`.

## Details

### struct GladeInspector

    struct GladeInspector;

The GladeInspector struct contains private data only, and should be manipulated using the functions below.

### glade_inspector_new ()

    GtkWidget *         glade_inspector_new                 (void);

Creates a new GladeInspector

Returns : | a new GladeInspector

### glade_inspector_new_with_project ()

    GtkWidget *         glade_inspector_new_with_project    (GladeProject *project);

Creates a new GladeInspector with `project`

`project` : | a GladeProject
Returns : | a new GladeInspector

### glade_inspector_set_project ()

    void                glade_inspector_set_project         (GladeInspector *inspector,
                                                             GladeProject *project);

Sets the current project of `inspector` to `project`. To unset the current project, pass `NULL` for `project`.

`inspector` : | a GladeInspector
`project` : | a GladeProject

### glade_inspector_get_project ()

    GladeProject *      glade_inspector_get_project         (GladeInspector *inspector);

Note that the method does not ref the returned GladeProject.

`inspector` : | a GladeInspector
Returns : | A GladeProject

### glade_inspector_get_selected_items ()

    GList *             glade_inspector_get_selected_items  (GladeInspector *inspector);

Returns the selected items in the inspector.

`inspector` : | a GladeInspector
Returns : | A GList

## Property Details

### The `"project"` property

      "project"                  GladeProject*         : Read / Write

The project being inspected.

## Signal Details

### The `"item-activated"` signal

    void                user_function                      (GladeInspector *inspector,
                                                            gpointer        user_data)      : Run Last

Emitted when a item is activated in the GladeInspector.

`inspector` : | the object which received the signal
`user_data` : | user data set when the signal handler was connected.

### The `"selection-changed"` signal

    void                user_function                      (GladeInspector *inspector,
                                                            gpointer        user_data)      : Run Last

Emitted when the selection changes in the GladeInspector.

`inspector` : | the object which received the signal
`user_data` : | user data set when the signal handler was connected.